Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.configurator
Class ConfigurationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.sun.mdm.index.master.EViewException
                  com.sun.mdm.index.master.ProcessingException
                      com.sun.mdm.index.configurator.ConfigurationException

All Implemented Interfaces:
  java.io.Serializable

public class ConfigurationException
extends ProcessingException

The ConfigurationException class represents an exception thrown when an error occurs in parsing or retrieving the configuration files. This is typically only thrown on startup.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.Exception
``

Constructor Summary
`ConfigurationException()` Creates a new instance of the ConfigurationException class without an error message.
`ConfigurationException(java.lang.String msg)` Creates a new instance of the ConfigurationException class with an error message.
`ConfigurationException(java.lang.String msg, java.lang.Throwable t)` Creates a new instance of the ConfigurationException class with an error message and a chain of errors.
`ConfigurationException(java.lang.Throwable t)` Creates a new instance of the ConfigurationException class without an error message but with a chain of errors.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConfigurationException

    public ConfigurationException()

  Creates a new instance of the ConfigurationException class without an error message.

  Parameters:
    None.
  Throws:
    None.

### ConfigurationException

    public ConfigurationException(java.lang.String msg)

  Creates a new instance of the ConfigurationException class with an error message.

  Parameters:
    `msg` - The error message to display for the type of error that occurred.
  Throws:
    None.

### ConfigurationException

    public ConfigurationException(java.lang.String msg,
                                  java.lang.Throwable t)

  Creates a new instance of the ConfigurationException class with an error message and a chain of errors.

  Parameters:
    `msg` - The error message to display for the type of error that occurred.
    `t` - The chain of errors that caused the exception.
  Throws:
    None.

### ConfigurationException

    public ConfigurationException(java.lang.Throwable t)

  Creates a new instance of the ConfigurationException class without an error message but with a chain of errors.

  Parameters:
    `t` - The chain of errors that caused the exception.
  Throws:
    None.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.